| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | List of all members
Digikam::ItemPreviewVideo Class Reference
Inheritance diagram for Digikam::ItemPreviewVideo:

## Signals
void | signalDeleteItem ()
void | signalPopupTagsView ()
Signals inherited from Digikam::MediaPlayerView
void | signalEscapePreview ()
void | signalNextItem ()
void | signalPrevItem ()

## Public Member Functions
| ItemPreviewVideo (QWidget *const parent)
void | setHostWindowActions (const HostActionsMap &actions)
void | setItemInfo (const ItemInfo &info, const ItemInfo &previous, const ItemInfo &next)
Public Member Functions inherited from Digikam::MediaPlayerView
| MediaPlayerView (QWidget *const parent)
QList< QAction * > | actionsList () const
void | escapePreview ()
void | reload ()
void | setCurrentItem (const QUrl &url=QUrl(), bool hasPrevious=false, bool hasNext=false)
void | setInfoInterface (DInfoInterface *const iface)
void | setOsdWidget (QWidget *const osd)
| plug an On Screen Display widget over the player.
void | setToolbarExtraWidget (QWidget *const extra)
| plug an extra widget at end of the toolbar.
void | setToolbarVisible (bool b)
| turn off/on toolbar visibility.

## Additional Inherited Members
Public Slots inherited from Digikam::MediaPlayerView
void | slotEscapePressed ()
void | slotRotateVideoLeft ()
void | slotRotateVideoRight ()
Protected Member Functions inherited from Digikam::MediaPlayerView
bool | eventFilter (QObject *watched, QEvent *event) override